API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class MenuEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class MenuEvent
Inheritance | MenuEvent flash.events.Event

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Array | MenuEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | MenuEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | MenuEvent
|  | clone():Event | MenuEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | ALPHA : String = "Alpha" [static] | MenuEvent
|  | DEFAULT_POSITIONS : String = "DefaultPositions" [static] | MenuEvent
|  | EXCEL_EXPORT : String = "ExcelExport" [static] | MenuEvent
|  | FILLING : String = "Filling" [static] | MenuEvent
|  | FULLSCREEN : String = "Fullscreen" [static] | MenuEvent
|  | HIGHLIGHTING : String = "Highlighting" [static] | MenuEvent
|  | MODE : String = "Behavior" [static] | MenuEvent
|  | OPEN : String = "Open" [static] | MenuEvent
|  | OUTLINE : String = "Outline" [static] | MenuEvent
|  | PANELS : String = "Panels" [static] | MenuEvent
|  | PDF_EXPORT : String = "PDFExport" [static] | MenuEvent

Property detail

data | property

`public var data:Array`
Constructor detail

MenuEvent | () | constructor

`public function MenuEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method detail

clone | () | method

`public override function clone():Event`

Returns

| `Event`

Constant detail

ALPHA | constant

`public static const ALPHA:String = "Alpha"`

DEFAULT_POSITIONS | constant |

`public static const DEFAULT_POSITIONS:String = "DefaultPositions"`

EXCEL_EXPORT | constant |

`public static const EXCEL_EXPORT:String = "ExcelExport"`

FILLING | constant |

`public static const FILLING:String = "Filling"`

FULLSCREEN | constant |

`public static const FULLSCREEN:String = "Fullscreen"`

HIGHLIGHTING | constant |

`public static const HIGHLIGHTING:String = "Highlighting"`

MODE | constant |

`public static const MODE:String = "Behavior"`

OPEN | constant |

`public static const OPEN:String = "Open"`

OUTLINE | constant |

`public static const OUTLINE:String = "Outline"`

PANELS | constant |

`public static const PANELS:String = "Panels"`

PDF_EXPORT | constant |

`public static const PDF_EXPORT:String = "PDFExport"`